#include<bits/stdc++.h>
using namespace std;
long long st(long long m, long long n){
    if(n==0){
        return 1;
    }
    if(n==1){
        return m;
    }
    if(n%2==0){
        long long st1=st(m,n/2);
        return st1*st1%998244353;
    }else{
        long long st1=st(m,n/2);
        return ((st1*m)%998244353)*st1%998244353;
    }
}
int main(){
    int n,m,k;
    cin>>n>>m>>k;
    if(k==1){
        cout<<st(m,n);
    }
    if(k==2){
        long long r=(st(m,n)-(m*st(m-1,n-1))%998244353)%998244353;
        if(r<0){
            cout<<r+998244353;
        }else{
            cout<<r;
        }
    }
return 0;
}
